Idiomas
Selecciona el idioma del sitio:

English Spanish

Patrocinados

Menú principal
· Home
· Análisis
· Archivo
· Descargas
· Encuestas
· FAQ
· Foros
· Juegos en línea
· Lista de prisioneros
· Manuales y revistas
· Mapa del sitio buscadores
· Mapa del sitio público
· Mensajes privados
· Tags
· Trivial
· Tu cuenta
· Videojuegos en Ebay
· Webs interesantes

Prisioneros en línea
Bienvenid@, anónimo

Registro
¿Perdiste la contraseña?

Nombre de usuario:
Contraseña:
 
Usuarios
Usuarios en total: 11255
Nuevos hoy: 0
Nuevos ayer: 2
Último usuario: cheshire

Más usuarios en línea
Usuarios: 2
Anónimos: 3193
Total: 3195

Usuarios en línea
Total en línea: 83
Anónimos en línea: 83
Usuarios en línea: 0


Juego al azar


Tags
No tags available for this page

Contador de visitas

Los 10 países que más nos visitan

1294001
1074281
975090
506306
458405
182176
139088
99105
93421
83945


Hoy visitas
Total visitas

La Mazmorra Abandon - La mejor selección de abandonware de terror y misterio de la red :: Ver tema - Problema con versión PHP de la página
 ·  Grupos de Usuarios  ·  Miembros  ·  Perfil  ·  Buscar  ·  Entre para ver sus mensajes privados
FAQ  ·  Entrar


Problema con versión PHP de la página
 
Publicar nuevo tema   Responder al tema       Foros de discusión -> Problemas técnicos | Technical problems
Ver tema anterior :: Ver tema siguiente  
Autor Mensaje
guardian
Administrador
Administrador



Registrado: Oct 28, 2005
Mensajes: 8564

MensajePublicado: Mie Mar 07, 2012 5:57 pm Asunto: Problema con versión PHP de la página Responder citando

Como habréis comprobado, la página se ha llenado de sentencias que la hacen casi ilegible además de que resulte muy difícil acceder a los contenidos. Ello se debe a que el proveedor de hosting ha actualizado la versión de PHP a la 5.3, la cual es incompatible con el sitio.

En internet he podido observar que este cambio ha afectado a mucha gente, ya no sólo de PHP Nuke, sino también de otros sistemas como Drupal, Joomla, etc.

En definitiva, la solución pasa por lo siguiente:

- Ponerme en contacto con mi proveedor para que me permitan cambiar a la versión inmediatamente anterior que hasta ahora había estado funcionando correctamente. "A priori" es algo sencillo, ya que tan sólo tienen que activar o desactivar una casilla para que se aplique la actualización o no. Es decir, cosa de un segundo. Sin embargo, por lo que he podido leer, algunos proveedores se niegan.

- Y otra solución más chapucera es editar una línea de uno de los archivos de la página que lo que hace es dar una orden para que esas alertas no se muestren, aunque se produzcan. Es decir, el sitio seguiría funcionando exactamente igual, pero sin las alertas.

De momento me he puesto en contacto con los responsables del servidor a la espera de lo que me digan para saber qué decisión tomar.

Para vuestra tranquilidad, queda descartada la posibilidad de que se tratase de un ataque.

Os mantendré informados.


Guardian_Misterioso
Volver arriba
Ver perfil de usuario Enviar mensaje privado Enviar email
Marxianna
Jefe de mazmorras
Jefe de mazmorras



Registrado: Jun 29, 2006
Mensajes: 588

MensajePublicado: Mie Mar 07, 2012 9:27 pm Asunto Responder citando

Con el historial de ataques de la página, me alegra de que no hayamos de sumar otro más.

Esperamos una pronta recuperación, Guardián, pero mientras tranquilo, nos vamos apañando Rolling Eyes

_________________
Deep into that Darkness peering, long I stood there, wondering, feeling, doubting (Poe)
Volver arriba
Ver perfil de usuario Enviar mensaje privado
guardian
Administrador
Administrador



Registrado: Oct 28, 2005
Mensajes: 8564

MensajePublicado: Mie Mar 07, 2012 10:44 pm Asunto Responder citando

Bueno, la alegría es parcial, porque he hablado con los responsables del servidor y, como me suponía, se niegan a aplicarme la versión PHP que funcionaba hasta esta manaña. Yo les he explicado con imágenes que en otros hostings con el mismo Panel de Control el propio usuario puede optar por una u otra, a su conveniencia, pero ellos siguen defendiendo que no se puede hacer eso y que sea yo el que me las arregle y actualice los "scripts".

El problema con el que me encuentro es que yo ya tengo instalada una de las últimas versiones de PHP Nuke e, incluso, en su versión más actual el portal sigue haciendo uso de la función "eregi", que es precisamente la que se ha suprimido en la nueva actualización de PHP (la 5.3).

En definitiva, que si no me dejan aplicar otra versión de PHP, el portal no puede volver a su estado anterior, ya que continuará llamando a una función inexistente, de ahí que se muestren las alertas.

Opciones:

- Migrar "PHP Nuke" a otro sistema como "Drupal", "Joomla", etc. Como consecuencia, se perderían los registros de los más de 6.200 usuarios que me ha costado conseguir a lo largo de estos 6 años, así como muchos de los módulos al no ser compatibles ("Liga Trivial", "Juegos Online", etc.). Por lo tanto, ni contemplo esa posibilidad porque sería perder 6 años de trabajo.

- Trasladar la página a otro proveedor de "hosting" que siga funcionando con una versión anterior de PHP (que existen) o que, al menos, permite escoger entre una y otra (que también existen). Problema: yo no tengo ni idea de hacerlo, ya que en la anterior ocasión fue otra persona la que se encargó de ello. Aparte, aquella vez tardé tres meses en devolver todo a su sitio, ya que se desconfiguraron muchas cosas. No pienso volver a pasar por ese trance, porque me costó la salud.

- Editar una línea en uno de los archivos del ftp para que, a pesar de existir alertas, estas no se muestren en la página. El sitio seguiría funcionando exactamente igual que hasta hoy por la mañana, pero con alto riesgo de que pudiera estropearse en un futuro. Una alerta indica que hay algo erróneo y avisa al administrador para solucionarlo. En el caso de que se trate de un "bug" interno gordo, una alerta resulta de ayuda, ya que evita que eso vaya a más y termine por romperse algo. Si anulo las alertas viviríamos en un estado de incertidumbre constante, ya que no podría saber si todo está en orden o no, y cualquier día podría desconfigurarse algo y volar la página por los aires sin haberme dado cuenta previamente.

- La solución más sencilla de todas: que "Andaina" me active de una vez por todas la opción que existe para que el usuario active particularmente la versión de PHP con la que desea trabajar. La mayoría de paneles de control que trabajan con cPanel así lo tienen, por lo que se puede hacer. Así que si "Andaina" se niega será por conveniencia suya, ya que es un proceso que lleva dos segundos de reloj.

Y, tras ponerme en contacto por teléfono, me han confirmado que llevan toda la tarde contestando correos de este tipo, por lo que la culpa está claro que no es de los clientes.

Nunca entenderé por qué hay que cambiar algo si funciona ...
Volver arriba
Ver perfil de usuario Enviar mensaje privado Enviar email
Dama_Gris
Supremo Inquisidor
Supremo Inquisidor



Registrado: Sep 13, 2009
Mensajes: 826

MensajePublicado: Jue Mar 08, 2012 12:56 am Asunto Responder citando

Yo te podría dar la respuesta a la última pregunta Guardián como estudiante de Sistemas que soy, pero me quiero ahorrar el discurso Laughing . De todas formas esto es algo que no debería pasar, los cambios no deberían repercutir en el cliente, deberían ser transparentes para ellos, pero bueno, nada es perfecto jeje.

Calculo que no van a dejar así la cosa, tienen que encontrar la manera de solucionar el problema lo antes posible.
Volver arriba
Ver perfil de usuario Enviar mensaje privado
Marxianna
Jefe de mazmorras
Jefe de mazmorras



Registrado: Jun 29, 2006
Mensajes: 588

MensajePublicado: Jue Mar 08, 2012 1:18 am Asunto Responder citando

Si amenazas con cambiar de proveedor seguro que se amansan como corderitos...

_________________
Deep into that Darkness peering, long I stood there, wondering, feeling, doubting (Poe)
Volver arriba
Ver perfil de usuario Enviar mensaje privado
lucasloom
Cautivo
Cautivo



Registrado: Mar 29, 2009
Mensajes: 77
Ubicación: aquí y ahora
MensajePublicado: Jue Mar 08, 2012 2:45 am Asunto Responder citando

Podrías considerar ocultar los mensajes y comunicarte con el equipo de phpnuke para que solucionen el problema pronto?? y la vez insistir con el proveedor.. Es una lástima que quede así.
Siempre estoy de acuerdo: para qué cambiar las cosas que andan bien?
Volver arriba
Ver perfil de usuario Enviar mensaje privado
Cinismo
Jefe de mazmorras
Jefe de mazmorras



Registrado: Dec 27, 2009
Mensajes: 663

MensajePublicado: Jue Mar 08, 2012 3:09 am Asunto Responder citando

El problema es del proveedor... que te lo arreglen ellos.

Te cambiaron las condiciones del contrato sin avisarte... Sos el cliente. Tenés la razón. Son tus derechos. Exigí una indemnización. Daños y Perjuicios. Daño moral. Intimalos bajo apercibimiento de iniciar acciones legales. Que los llame alguien que se haga pasar por un abogado.

Cadena de mails para que te arreglen el problema a sus servidores. Llamar y llamar y llamar. Ir a sus oficinas. Pedir con el de soporte técnico, porque seguramente el que te atiende no tiene la más puta idea y el que arma los servidores es otro que te contesta: A ver... listo... ya funciona... xD

En fin...

INDIGNACION!!!! (INSERTE COMENTARIO PRO-TERRORISTA CONTRA LA COMPAÑIA QUE BRINDA EL HOSTING... AQUI)

---

Pd: Los mexicanos son los terceros en visitas al sitio, pero hay mexicanos que participan???
Volver arriba
Ver perfil de usuario Enviar mensaje privado
guardian
Administrador
Administrador



Registrado: Oct 28, 2005
Mensajes: 8564

MensajePublicado: Jue Mar 08, 2012 5:09 am Asunto Responder citando

Hemos continuado los del servidor y yo con el "tira y afloja" durante esta noche y tras insistir su postura ha cambiado algo.

Me comentan que hablarán con el ingeniero para que les diga si es factible o no mantener en el servidor ambas versiones de PHP (la actual y la que funcionaba hasta ayer). En caso de que reciban una negativa por respuesta, dicen que trasladarían la página de máquina a las denominadas "Anda40" que aún permanecen con la otra versión de PHP sin actualizar.

El principal problema de esta cuestión es que a mí no me ha avisado nadie sobre este cambio, a sabiendas de que se está trabajando en una versión 6 de PHP porque la actual (5.3) genera problemas e incompatibilidades por doquier (como prueba, las numerosas llamadas que han recibido hoy de otros tantos clientes que se han encontrado en la misma coyuntura).

Además es algo que ellos mismos han reconocido porque, según sus palabras, "no tienen obligación de responder ante los clientes ante un caso así porque tampoco es su deber comunicar por correo electrónico una actualización que se considera implícita en el contrato". Esto ya es un error de base por su parte porque en un contrato todo debe expresarse de manera explícita y no implícita. Los términos de los contratos son los que son y no se deducen. Incluso, aunque así fuera, si ellos actualizan un servidor se deben responsabilizar de las consecuencias que se puedan derivar, porque es una acción suya y no del cliente. Es lo mismo que si un usuario adquiere un juego vía STEAM y, al aplicársele una actualización, éste deja de funcionar. Deberá responsabilizarse STEAM y no el usuario, ya que si no sería de locos.

Por tanto, si a mí me hubiesen avisado con suficiente tiempo (como han hecho en alguna ocasión cuando han llevado a cabo tareas de mantenimiento), yo podría haberme puesto en contacto con los responsables de las versiones actuales de "PHP Nuke" para plantearles la cuestión y que sacasen un parque que arreglara este "bug". Pero claro, eso debe hacerse antes, con margen de reacción. No encontrarme ahora ante este panorama.

Y lo más importante, he revisado las políticas de otros proveedores en este sentido y sí funcionan simultáneamente con varias versiones de PHP, conocedores de las incompatibilidades que surgen con algunas de ellas, ya que el código aún no está depurado en las últimas. Es decir, que se trata de un procedimiento por su parte que lleva escasos segundos. Y, apelando a la lógica, no considero razonable que yo tenga que perder una semana buscando una solución cuando existe otra factible que no llega ni al minuto.

Por último, quiero que quede clara una cosa. No se ha perdido ningún contenido del sitio, todos siguen siendo perfectamente operativos. Lo que se muestran son alertas, únicamente, ya que la página continúa funcionando con "normalidad".

Es decir, que hasta que se arregle del todo (espero que sea lo antes posible) podéis seguir escribiendo en el foro con normalidad, ya que salvo sorpresa mayúscula eso no se perdería. Por si acaso, además, acabo de hacer unas copias de seguridad ya que las anteriores databan de finales de Febrero. Por precaución.

En unas horas os seguiré informando sobre esta cuestión.
Volver arriba
Ver perfil de usuario Enviar mensaje privado Enviar email
Joni_bike
Cautivo
Cautivo



Registrado: Mar 06, 2012
Mensajes: 93

MensajePublicado: Jue Mar 08, 2012 1:14 pm Asunto Responder citando

bueno si se actualizan a la version 6 y es estable todos contentos, sino pues nose...

_________________
....BLACKBASS.....
Volver arriba
Ver perfil de usuario Enviar mensaje privado
Fedexior
Centinela
Centinela



Registrado: May 21, 2010
Mensajes: 213
Ubicación: Prípiat
MensajePublicado: Jue Mar 08, 2012 3:50 pm Asunto Responder citando

Acabo de entrar y por ahora, funciona todo bien (desde aquí, al menos).

De todas maneras, espero que te solucionen el problema pronto, colega, porque, como bien dices, es responsabilidad de ellos, no del cliente. Y si no lo hacen, puedes hacer lo que hizo Michael Duglas en Un día de Furia, cuando entraba al restaurante de comida rápida. Wink

_________________
Escribir no lleva a la miseria. Nace de la miseria.<br />MONTAIGNE<br />
Volver arriba
Ver perfil de usuario Enviar mensaje privado Visitar sitio web del autor MSN Messenger
mercenario
Alquimista del mal
Alquimista del mal



Registrado: Mar 17, 2006
Mensajes: 2280

MensajePublicado: Jue Mar 08, 2012 4:48 pm Asunto Responder citando

Se arreglo ya? En mi móbil funciona de 10.
Volver arriba
Ver perfil de usuario Enviar mensaje privado
guardian
Administrador
Administrador



Registrado: Oct 28, 2005
Mensajes: 8564

MensajePublicado: Jue Mar 08, 2012 9:01 pm Asunto Responder citando

Si ya está solucionado desde esta mañana. Al final me comunicaron que volvían a la versión 5.2.17 hasta que el cPanel permitiese dentro de un tiempo simultanear ambas versiones.

Es decir, que esto le fallaba a un monton de gente y han optado por una solución general para todos buscando la estabilidad. Porque nadie se cree que sólo por mí hayan tomado una decisión que afecte a decenas de clientes.
Volver arriba
Ver perfil de usuario Enviar mensaje privado Enviar email
mercenario
Alquimista del mal
Alquimista del mal



Registrado: Mar 17, 2006
Mensajes: 2280

MensajePublicado: Vie Mar 09, 2012 1:45 am Asunto Responder citando

a genial, esperemos que la próxima avisen por lo menos.
Volver arriba
Ver perfil de usuario Enviar mensaje privado
Mostrar mensajes de anteriores:
Publicar nuevo tema  Responder al tema    Foros de discusión ->  Problemas técnicos | Technical problems Todas las horas son GMT + 1 Hora
Página 1 de 1

 
Cambiar a:  
Puede publicar nuevos temas en este foro
No puede responder a temas en este foro
No puede editar sus mensajes en este foro
No puede borrar sus mensajes en este foro
No puede votar en encuestas en este foro




Powered By: phpBB © 2001 - 2008 phpBB Group

WoW_Horde Theme By: Realm Designz
Copyright © RealmDesignz.com 2008 All Rights Reserved
Forums ©
El administrador de la presente página no se hace responsable de las opiniones vertidas por sus usuarios, siendo cada uno de ellos responsable único y directo de las consecuencias que se puedan derivar de sus acciones y/o manifestaciones.

El material que en esta página se encuentra no vulnera en ningún momento la legislación ni los derechos de las compañías propietarias de los juegos y/o utilidades que aquí se albergan. Asimismo, la web cumple con la normativa reguladora de la IDSA/ESA.

Prohibida la reproducción total o parcial de los contenidos sin el consentimiento expreso de sus autores.

Valid HTML 4.01! Valid CSS!

Games Blogs
Games blog

PHP-Nuke Copyright © 2005 by Francisco Burzi. This is free software, and you may redistribute it under the GPL. PHP-Nuke comes with absolutely no warranty, for details, see the license.


WoW Horde Theme
Copyright © 2008-2009 PHPNuke Theme All Rights Reserved.

WarCraft Renders/Images
Copyright © 2008 of Blizzard Entertainment Co.